LISP routine to work-around the deferred perpendicular snap issue?

There are a couple of posts earlier in the forum (one from me) about the new feature that gives priority to "deferred perpendicular" snap when selecting the first point of a new line.  Until (we hope) there is some option built into Bricscad to disable this, would it be possible to devise a LISP routine that could be used to do the following:

- Turn on whatever running snaps the user wants, but disable perpendicular snap (this could be hard-coded by the user).

- Start the line (select first point)

- Turn on perpendicular snap again, along with the others that the user wants (how to do this in middle of the LINE command I don't know)

- Finish drawing the line

Any guidance would be much appreciated!  Thanks.

Comments

  • Try this:

    ; Uncomment the next two lines to replace the line command:
    ; (command "_.undefine" "line")
    ; (defun c:Line () (c:AltLine))

    (terpri)

    (defun c:AltLine ( / pt)
    (setq pt (getpoint "\nUsing AltLine \nStart of line: "))
    (command "_.line" "_none" pt)
    (while (> (getvar "cmdactive") 0)
    (command pause)
    )
    (princ)
    )
  • Many thanks -- works great!

This discussion has been closed.